﻿namespace WpfApplication2.Utility
{
  using System.IO;
  static class PXCMRecognitionConfigurationExtensions
  {
    public static bool ReadDatabaseFromFile(this PXCMFaceConfiguration.RecognitionConfiguration recogConfig,
      string fileName)
    {
      bool read = false;

      if (File.Exists(fileName))
      {
        var bits = File.ReadAllBytes(fileName);
        recogConfig.SetDatabaseBuffer(bits);
        read = true;
      }
      return (read);
    }
  }
}
